ompi/errhandler/errclass.h File Reference.TH "ompi/errhandler/errclass.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/errhandler/errclass.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mpi.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'class/ompi_pointer_array.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBompi_errclass_t\fP \fBompi_errclass_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static bool \fBompi_errclass_is_invalid\fP (int errclass)"
.br
.RI "\fICheck for a valid error class. \fP"
.ti -1c
.RI "int \fBompi_errclass_init\fP (void)"
.br
.RI "\fIInitialize the error classes. \fP"
.ti -1c
.RI "int \fBompi_errclass_finalize\fP (void)"
.br
.RI "\fIFinalize the error classes. \fP"
.ti -1c
.RI "int \fBompi_errclass_add\fP (void)"
.br
.RI "\fIAdd an error class. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBompi_pointer_array_t\fP \fBompi_errclasses\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBompi_errclass_lastused\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int ompi_errclass_add (void)"
.PP
Add an error class. 
.PP
\fBParameters:\fP
.RS 4
\fI\fP error class to which this new error code belongs to
.RE
.PP
\fBReturns:\fP
.RS 4
the new error class on SUCCESS (>0) 
.PP
OMPI_ERROR otherwise 
.RE
.PP

.SS "int ompi_errclass_finalize (void)"
.PP
Finalize the error classes. 
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS Always
.RE
.PP
Invokes from \fBompi_mpi_finalize()\fP; tears down the error class array. 
.SS "int ompi_errclass_init (void)"
.PP
Initialize the error classes. 
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS Upon success 
.PP
OMPI_ERROR Otherwise
.RE
.PP
Invoked from \fBompi_mpi_init()\fP; sets up all static MPI error classes, 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
